Bug 56161 - VIEWING: Comment formatting change from 'Straight Line' to 'Angled Connector Line' not visible
Summary: VIEWING: Comment formatting change from 'Straight Line' to 'Angled Connector ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Comments
  Show dependency treegraph
 
Reported: 2012-10-19 04:39 UTC by Rainer Bielefeld Retired
Modified: 2021-01-18 07:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-10-19 04:39:21 UTC
Steps how to reproduce  with "LibreOffice 3.6.3.1” German UI/ German Locale [Build-ID: f8fce0b] on German WIN7 Home Premium (64bit):

0. Download Attachment 68763 [details] of Bug 56153
1. Launch LibO, open sample document from LibO Start Center file menu
2. Make comment in cell E7 visible with 'Contest Menu -> Show comment'
3. Rightclock Comment, context Menu 'Position and Size -> Callout Tab'
4. Click left 'Straight line', <ok>
   > Callout line becomes straight line, arrowhead hsows to E7:F7
5. Rightclock Comment, context Menu 'Position and Size -> Callout Tab'
6. Click right 'Angled Connector line', <ok>
   Expected: same view as in step 2
   Actual: nothing changes

Same with 'Angled Line' in step 6
Switching to an other Tab or LibO window does not Help.
Save, close and reopen will heal the problem, reopened document shows expected comment view.
Comment 1 Rainer Bielefeld Retired 2012-10-19 04:39:47 UTC
Sorry, wanted to write "Rightclick", not "Rightclock"
Comment 2 Rainer Bielefeld Retired 2012-10-19 04:43:40 UTC
Already broken With LibO 3.3.3 and OOo 3.1.1, so inherited from OOo
Comment 3 Rainer Bielefeld Retired 2012-10-19 05:04:02 UTC
This one might be related to "Bug 56164 - EDITING: FILEOPEN document shows visible Comment box at wrong place"
Comment 4 bfoman (inactive) 2013-05-08 13:09:38 UTC
Confirmed with:
LO 4.0.2.2
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit
Comment 5 QA Administrators 2015-03-04 02:22:04 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-03-24 13:13:48 UTC
Confirmed.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 7 tommy27 2016-04-16 07:25:20 UTC Comment hidden (obsolete)
Comment 8 Karsten 2019-01-16 11:18:06 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2021-01-16 04:17:35 UTC
Dear Rainer Bielefeld Retired,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug